import { CommonExecutionToolsOptions } from '../../../CommonExecutionToolsOptions';
import { UserInterfaceTools, UserInterfaceToolsPromptDialogOptions } from '../../../UserInterfaceTools';
/**
 * Wrapper around `window.prompt` synchronous function that interacts with the user via browser prompt
 *
 * Warning: It is used for testing and mocking
 *          **NOT intended to use in the production** due to its synchronous nature.
 */
export declare class SimplePromptInterfaceTools implements UserInterfaceTools {
    private readonly options;
    constructor(options: CommonExecutionToolsOptions);
    /**
     * Trigger window.prompt dialog
     */
    promptDialog(options: UserInterfaceToolsPromptDialogOptions): Promise<string>;
}
