import { string_markdown } from '../.././types/typeAliases';
/**
 * Extracts all code blocks from markdown.
 *
 * @param markdown any valid markdown
 * @returns code blocks with language and content
 *
 * @private within the library
 */
export declare function extractBlocksFromMarkdown(markdown: string_markdown): Array<{
    language: string | null;
    content: string;
}>;
