import { CommonExecutionToolsOptions } from '../../../CommonExecutionToolsOptions';
import { ScriptExecutionTools, ScriptExecutionToolsExecuteOptions } from '../../../ScriptExecutionTools';
/**
 * ScriptExecutionTools for JavaScript implemented via eval
 *
 * Warning: It is used for testing and mocking
 *          **NOT intended to use in the production** due to its unsafe nature, use `JavascriptExecutionTools` instead.
 */
export declare class JavascriptEvalExecutionTools implements ScriptExecutionTools {
    private readonly options;
    constructor(options: CommonExecutionToolsOptions);
    /**
     * Executes a JavaScript
     */
    execute(options: ScriptExecutionToolsExecuteOptions): Promise<string>;
}
/**
 * TODO: Put predefined functions (like removeQuotes, spaceTrim, etc.) into annotation OR pass into constructor
 */
